Audacious doesn't play online streams in FLAC

May 06, 2012 23:42 - Artem S. Tashkinov

Status: Rejected Start date: May 06, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.2.3   

Description

E.g. http://radio.cesnet.cz:8000/cro-d-dur.flac

History

#1 - May 09, 2012 10:51 - Michael Schwendt

What is your reference player?

Firefox says: Video can't be played because the file is corrupt.

Totem doesn't like the stream contents either. It starts buffering, but doesn't play anything.

It starts playing if wget is used to download a chunk of the stream, however.

Rhythmbox doesn't like the stream contents either.

wget reports MIME type "application/ogg".

Audacious trying to open that URL says:

$ audacious

flacng: Could not seek to 0!

flacng: An error occured: FLAC__METADATA_CHAIN_STATUS_SEEK_ERROR

flacng: Could not seek to 0!

flacng: Could not reset the decoder!

flacng: Could not prepare file for playing!

flacng: Could not seek to 0!

flacng: Could not reset the decoder!

#2 - May 09, 2012 11:10 - Artem S. Tashkinov

Mplayer plays this stream perfectly, I haven't tested any other players because I use only mplayer and Audacious.

$ mplayer http://radio.cesnet.cz:8000/cro-d-dur.flac

MPlayer SVN-r34842-4.7.0 (C) 2000-2012 MPlayer Team

192 audio & 399 video codecs
Playing http://radio.cesnet.cz:8000/cro-d-dur.flac.

Resolving radio.cesnet.cz for AF_INET...

Connecting to server radio.cesnet.cz[195.113.161.70]: 8000...

Name   : Cesky rozhlas D-dur

Genre  : classical music

Website: http://www.rozhlas.cz

Public : no

Bitrate: 128kbit/s

Cache size set to 320 KBytes

Cache fill: 11.47% (37591 bytes)

libavformat version 54.3.100 (internal)

libavformat file format detected.

[ogg @ 0x8b3d4e0]Estimating duration from bitrate, this may be inaccurate

[lavf] stream 0: audio (flac), -aid 0 ==========================================================================

Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders

libavcodec version 54.13.100 (internal)

AUDIO: 48000 Hz, 2 ch, s16le, 0.0 kbit/0.00% (ratio: 0->192000)

Selected audio codec: [ffflac] afm: ffmpeg (FFmpeg FLAC audio)

==========================================================================

AO: [alsa] 48000Hz 2ch s16le (2 bytes per sample)

Video: no video

Starting playback...

P.S. ffplay (from FFMpeg) also plays it just fine:

ogg @ 0xb0100a40] Estimating duration from bitrate, this may be inaccurate

Input #0, ogg, from 'http://radio.cesnet.cz:8000/cro-d-dur.flac':

Duration: N/A, start: 0.000000, bitrate: N/A

Stream #0:0: Audio: flac, 48000 Hz, 2 channels, s16

#3 - May 12, 2012 17:15 - John Lindgren

- Status changed from New to Rejected

The file has the wrong extension; it is not pure FLAC but Ogg-encapsulated FLAC and should therefore end in .oga, not .flac.  See 

http://wiki.xiph.org/MIME_Types_and_File_Extensions.

#4 - May 12, 2012 18:41 - Artem S. Tashkinov

John,
hundreds of Internet radio stations broadcast straight from / (without even a filename) and it hasn't yet caused anyone's concern.

Anyway, you seem to know better what Audacious should and what it shouldn't.

Playing audio is probably not what it's meant to do ;)
